#!/bin/sh

verbose_report() {
initng-test_parser -v | awk \
-vR=$(echo -ne '\033[1;31m') \
-vG=$(echo -ne '\033[1;32m') \
-vK=$(echo -ne '\033[0m') \
'
BEGIN {
	fail = 0;
	success = 0;
}

/ok$/	{ gsub(/ok/, G "ok" K); success++ }
/failed$/	{ gsub(/failed/, R "failed" K); fail++}

{
   	print
} 
END {
	printf("%d services processed, %d failures\n", success, fail);
}'
}

initng-test_parser || verbose_report
